/******************************************************************************
** Author:		Steve Gomez
** Re-Designed: Ebenezer Oparemi
** Purpose:		Contains classes for the styling of RAPID buttons.
** Change Log:	
**				- 12/14/2009: File Created
******************************************************************************/

/*************************************
** BUTTON CLASSES
*************************************/
.button_base { font-family: Trebuchet MS; font-weight: bold; background-repeat: no-repeat; height: 38px; 
               text-align: left; cursor: pointer; background-color: #808080; color: #808080; padding: 4px; font-size:11px;}



.button_base:hover { background-color: #808080; color: #ffffff; padding: 4px; font-family: Trebuchet MS; font-weight: bold; background-repeat: no-repeat; height: 38px; 
                     text-align: left; cursor: pointer; font-size:11px;}

.button_base_uc { font-family: Trebuchet MS; font-weight: bold; background-repeat: no-repeat; height: 38px; 
                  text-align: left; cursor: pointer; background-color: #ffffff; color: #808080; padding: 4px; margin-bottom: 3px; margin-top: 3px; font-size:11px;}

.button_base_uc:hover { background-color: #d2dcd3; color: #ffffff; padding: 4px; font-family: Trebuchet MS; font-weight: bold; background-repeat: no-repeat; height: 38px; 
                        text-align: left; cursor: pointer; margin-bottom: 3px; margin-top: 3px; font-size:11px;}

/* Zip button */
.button_icon_zip { background-image: url('../images/buttons/button_icon_zip.png'); padding-left: 36px; }
.button_icon_zip:hover { padding-left: 36px; }

/* Print Preview button */
.button_icon_printpreview { background-image: url('../images/buttons/button_icon_printpreview.png'); padding-left: 36px; }
.button_icon_printpreview:hover { padding-left: 36px; }

/* Web button */
.button_icon_web { background-image: url('../images/buttons/button_icon_web.png'); padding-left: 38px; }
.button_icon_web:hover { padding-left: 38px; }

/* Upload Image button */
.button_icon_uploadimage { background-image: url('../images/buttons/button_icon_uploadimage.png'); padding-left: 36px; }
.button_icon_uploadimage:hover { padding-left: 36px; }

/* Upload Document button */
.button_icon_uploaddocument { background-image: url('../images/buttons/button_icon_uploaddocument.png'); padding-left: 36px; }
.button_icon_uploaddocument:hover { padding-left: 36px; }

/* Search Button */
.button_icon_search { background-image: url('../images/buttons/button_icon_search.png'); padding-left: 36px; }
.button_icon_search:hover { padding-left: 36px; }

/* Search Site Button */
.button_icon_searchsite { background-image: url('../images/buttons/button_icon_searchsite.png'); padding-left: 36px; }
.button_icon_searchsite:hover { padding-left: 36px; }

/* Download Button */
.button_icon_downloadpackage { background-image: url('../images/buttons/button_icon_downloadpackage.png'); padding-left: 36px; }
.button_icon_downloadpackage:hover { background-color: #d2dcd3; padding-left: 36px; }

/* Newsfeed Button */
.button_icon_newsletter { background-image: url('../images/buttons/button_icon_newsletter.png'); padding-left: 36px; }
.button_icon_newsletter:hover { padding-left: 36px; }

/* Checklist Button */
.button_icon_checklist { background-image: url('../images/buttons/button_icon_checklist.png'); padding-left: 36px; }
.button_icon_checklist:hover { padding-left: 36px; }

/* Female Agent Button */
.button_icon_femaleagent { background-image: url('../images/buttons/button_icon_femaleagent.png'); padding-left: 36px; }
.button_icon_femaleagent:hover { padding-left: 36px; }

/* Institutiont Button */
.button_icon_institution { background-image: url('../images/buttons/button_icon_institution.png'); padding-left: 38px; }
.button_icon_institution:hover { padding-left: 38px; }

/* Barcode Scanner Button */
.button_icon_scanner { background-image: url('../images/buttons/button_icon_scanner.png'); padding-left: 38px; }
.button_icon_scanner:hover { padding-left: 38px; }

/* Line Chart Button */
.button_icon_linechart { background-image: url('../images/buttons/button_icon_linechart.png'); padding-left: 38px; }
.button_icon_linechart:hover { padding-left: 38px; }

/* Download File Button */
.button_icon_downloadfile { background-image: url('../images/buttons/button_icon_downloadfile.png'); padding-left: 38px; }
.button_icon_downloadfile:hover { padding-left: 38px; }

/* Email Button */
.button_icon_email { background-image: url('../images/buttons/button_icon_email.png'); padding-left: 38px; }
.button_icon_email:hover { padding-left: 38px; }

/* Event Button */
.button_icon_event { background-image: url('../images/buttons/button_icon_event.png'); padding-left: 38px; }
.button_icon_event:hover { padding-left: 38px; }

/* Male Agent Button */
.button_icon_maleagent { background-image: url('../images/buttons/button_icon_maleagent.png'); padding-left: 38px; }
.button_icon_maleagent:hover { padding-left: 38px; }

/* Generic Download Button */
.button_icon_downloadgeneric { background-image: url('../images/buttons/button_icon_downloadgeneric.png'); padding-left: 38px; }
.button_icon_downloadgeneric:hover { padding-left: 38px; }

/* Download Zip Button */
.button_icon_downloadzip { background-image: url('../images/buttons/button_icon_downloadzip.png');	padding-left: 38px; }
.button_icon_downloadzip:hover { padding-left: 38px; }

/* Approve Button */
.button_icon_approve { background-image: url('../images/buttons/button_icon_approve.png');	padding-left: 38px; }
.button_icon_approve:hover { padding-left: 38px; }

/* Disapprove Button */
.button_icon_disapprove { background-image: url('../images/buttons/button_icon_disapprove.png'); padding-left: 38px; }
.button_icon_disapprove:hover { padding-left: 38px; }

/* Check Mark Button */
.button_icon_checkmark { background-image: url('../images/buttons/button_icon_checkmark.png'); padding-left: 38px; }
.button_icon_checkmark:hover { padding-left: 38px; }

/* Delete Button */
.button_icon_delete { background-image: url('../images/buttons/button_icon_delete.png'); padding-left: 38px; }
.button_icon_delete:hover { padding-left: 38px; }

/* Rubber Stamp Button */
.button_icon_rubberstamp { background-image: url('../images/buttons/button_icon_rubberstamp.png'); padding-left: 38px; }
.button_icon_rubberstamp:hover { padding-left: 38px; }

/* Comment Button */
.button_icon_comment { background-image: url('../images/buttons/button_icon_comment.png'); padding-left: 38px; }
.button_icon_comment:hover { padding-left: 38px; }

/* Lock Open Button */
.button_icon_lockopen { background-image: url('../images/buttons/button_icon_lockopen.png'); padding-left: 38px; }
.button_icon_lockopen:hover { padding-left: 38px; }

/* Lock Closed Button */
.button_icon_lockclosed { background-image: url('../images/buttons/button_icon_lockclosed.png'); padding-left: 38px; }
.button_icon_lockclosed:hover { padding-left: 38px; }

/* Save Button */
.button_icon_save { background-image: url('../images/buttons/button_icon_save.png'); padding-left: 40px; }
.button_icon_save:hover { padding-left: 40px; }

/* Print Button */
.button_icon_print { background-image: url('../images/buttons/button_icon_print.png'); padding-left: 40px; }
.button_icon_print:hover { padding-left: 40px; }

/* Blank Button */
.button_icon_blank { background-image: url('../images/buttons/button_icon_blank.png'); padding: 4px; text-align: center; }
.button_icon_blank:hover { padding: 4px; }

/* New Record Button */
.button_icon_newrecord { background-image: url('../images/buttons/button_icon_newrecord.png'); padding-left: 36px; }
.button_icon_newrecord:hover { padding-left: 36px; }

/* Cancel Button */
.button_icon_cancel { background-image: url('../images/buttons/button_icon_cancel.png'); padding-left: 36px; }
.button_icon_cancel:hover { padding-left: 36px; }

/* Merge2 Button */
.button_icon_merge2 { background-image: url('../images/buttons/button_icon_merge2.png'); padding-left: 36px; }
.button_icon_merge2:hover { padding-left: 36px; }

/* Merge Button */
.button_icon_merge { background-image: url('../images/buttons/button_icon_merge.png'); padding-left: 36px; }
.button_icon_merge:hover { padding-left: 36px; }

/* Check All Button */
.button_icon_checkall { background-image: url('../images/buttons/button_icon_checkall.png'); padding-left: 36px; }
.button_icon_checkall:hover { padding-left: 36px; }

/* Uncheck All Button */
.button_icon_uncheckall { background-image: url('../images/buttons/button_icon_uncheckall.png'); padding-left: 36px; }
.button_icon_uncheckall:hover { padding-left: 36px; }

/* Check Selected Button */
.button_icon_checkselected { background-image: url('../images/buttons/button_icon_checkselected.png'); padding-left: 36px; }
.button_icon_checkselected:hover { padding-left: 36px; }

/* Set Schedule Button */
.button_icon_setschedule { background-image: url('../images/buttons/button_icon_setschedule.png'); padding-left: 36px; }
.button_icon_setschedule:hover { padding-left: 36px; }

/* Set Schedule2 Button */
.button_icon_setschedule2 { background-image: url('../images/buttons/button_icon_setschedule2.png'); padding-left: 36px; }
.button_icon_setschedule2:hover { padding-left: 36px; }

/* Move To Button */
.button_icon_moveto { background-image: url('../images/buttons/button_icon_moveto.png'); padding-left: 36px; }
.button_icon_moveto:hover { padding-left: 36px; }

/* Go Back Button */
.button_icon_goback { background-image: url('../images/buttons/button_icon_goback.png'); padding-left: 36px; }
.button_icon_goback:hover { padding-left: 36px; }

/* Go Back Light Button */
.button_icon_gobackLight { background-image: url('../images/buttons/button_icon_gobackLight.png'); padding-left: 36px; }
.button_icon_gobackLight:hover { padding-left: 36px; }

/* Edit Button */
.button_icon_edit { background-image: url('../images/buttons/button_icon_edit.png'); padding-left: 36px; }
.button_icon_edit:hover { padding-left: 36px; }

/* Same As Above Button */
.button_icon_sameasabove { background-image: url('../images/buttons/button_icon_sameasabove.png'); padding-left: 36px; }
.button_icon_sameasabove:hover { padding-left: 36px; }

/* Registration Form Button */
.button_icon_registrationform { background-image: url('../images/buttons/button_icon_registrationform.png'); padding-left: 36px; }
.button_icon_registrationform:hover { padding-left: 36px; }

/* Agent Report Button */
.button_icon_agentreport { background-image: url('../images/buttons/button_icon_agentreport.png'); padding-left: 36px; }
.button_icon_agentreport:hover { padding-left: 36px; }

/* Set Condition Range Button */
.button_icon_setconditionrange { background-image: url('../images/buttons/button_icon_setconditionrange.png'); padding-left: 48px; }
.button_icon_setconditionrange:hover { padding-left: 48px; }

/* Clear Button */
.button_icon_clear { background-image: url('../images/buttons/button_icon_clear.png'); padding-left: 36px; }
.button_icon_clear:hover { padding-left: 36px; }

/* Export Button */
.button_icon_export { background-image: url('../images/buttons/button_icon_export.png'); padding-left: 36px; }
.button_icon_export:hover { padding-left: 36px; }


/* Mark As Read Button */
.button_icon_markasread { background-image: url('../images/buttons/button_icon_markasread.png'); padding-left: 36px; }
.button_icon_markasread:hover { padding-left: 36px; background-image: url('../images/buttons/button_icon_markasunread.png'); }

/* Mark As UnRead Button */
.button_icon_markasunread { background-image: url('../images/buttons/button_icon_markasunread.png'); padding-left: 36px; }
.button_icon_markasunread:hover { padding-left: 36px; background-image: url('../images/buttons/button_icon_markasread.png');  }

/* Next Button */
.button_icon_next { background-image: url('../images/buttons/button_icon_next.png'); padding-left: 36px; }
.button_icon_next:hover { padding-left: 36px; }

/* Refresh Button */
.button_icon_refresh { background-image: url('../images/buttons/button_icon_refresh.png'); padding-left: 36px; }
.button_icon_refresh:hover { padding-left: 36px; }

/* Refresh2 Button */
.button_icon_refresh2 { background-image: url('../images/buttons/button_icon_refresh2.png'); padding-left: 36px; }
.button_icon_refresh2:hover { padding-left: 36px; }

/* Process Button */
.button_icon_process { background-image: url('../images/buttons/button_icon_process.png'); padding-left: 36px; }
.button_icon_process:hover { padding-left: 36px; }

/* Processing Button */
.button_icon_processing { background-image: url('../images/buttons/button_icon_processing.png'); padding-left: 36px; }
.button_icon_processing:hover { padding-left: 36px; }

/* Delete All Button */
.button_icon_deleteall { background-image: url('../images/buttons/button_icon_deleteall.png'); padding-left: 36px; }
.button_icon_deleteall:hover { padding-left: 36px; }

/* Setup Flag Button */
.button_icon_flag { background-image: url('../images/buttons/button_icon_flag.png'); padding-left: 36px; }
.button_icon_flag:hover { background-image: url('../images/buttons/button_icon_flag2.png'); padding-left: 36px; }

/* Remove Flag Button */
.button_icon_removeflag { background-image: url('../images/buttons/button_icon_removeflag.png'); padding-left: 36px; }
.button_icon_removeflag:hover { padding-left: 36px; }

/* View Transactions Button */
.button_icon_viewtransaction { background-image: url('../images/buttons/button_icon_viewtransaction.png'); padding-left: 36px; }
.button_icon_viewtransaction:hover { padding-left: 36px; }

/* Make A Primary policy Button */
.button_icon_primarypolicy { background-image: url('../images/buttons/button_icon_primarypolicy.png'); padding-left: 36px; }
.button_icon_primarypolicy:hover { padding-left: 36px; }

/* Paste policy Button */
.button_icon_paste { background-image: url('../images/buttons/button_icon_paste.png'); padding-left: 36px; }
.button_icon_paste:hover { padding-left: 36px; }

/* Grab policy Button */
.button_icon_grab { background-image: url('../images/buttons/button_icon_grab.png'); padding-left: 36px; }
.button_icon_grab:hover { padding-left: 36px; }

/* Clear policy Button */
.button_icon_clearpolicy { background-image: url('../images/buttons/button_icon_clearpolicy.png'); padding-left: 36px; }
.button_icon_clearpolicy:hover { padding-left: 36px; }

/* Take Away policy Button */
.button_icon_takeaway { background-image: url('../images/buttons/button_icon_takeaway.png'); padding-left: 36px; }
.button_icon_takeaway:hover { padding-left: 36px; }

/* Transfer Button */
.button_icon_transfer { background-image: url('../images/buttons/button_icon_transfer.png'); padding-left: 36px; }
.button_icon_transfer:hover { padding-left: 36px; }

/* Break out Button */
.button_icon_breakout { background-image: url('../images/buttons/button_icon_breakout.png'); padding-left: 36px; }
.button_icon_breakout:hover { padding-left: 36px; }

/* Slip Button */
.button_icon_slip { background-image: url('../images/buttons/button_icon_slip.png'); padding-left: 36px; }
.button_icon_slip:hover { padding-left: 36px; }

/* View Grid Button */
.button_icon_viewgrid { background-image: url('../images/buttons/button_icon_viewgrid.png'); padding-left: 36px; width:80px; }
.button_icon_viewgrid:hover { padding-left: 36px; }

/* Inbox Grid Button */



.button_icon_inbox { background-image: url('../images/buttons/button_icon_viewgrid.png'); padding-left: 36px;
                          width:80px ;
                          height:32px;
                          font-size:11px ;
                          border: none;
                          outline:0;
                          }
.button_icon_inbox:hover { padding-left: 36px ; }

.button_icon_inbox:focus { outline:0; }
